HPLIP for HP P2055dn

Questions about printers and scanners, hardware-related and/or software-related can be asked here, as well as posting of tutorials.
Message
Author
User avatar
halw
Forum Regular
Forum Regular
Posts: 137
Age: 66
Joined: Fri Jul 14, 2006 2:09 pm

HPLIP for HP P2055dn

#1 Postby halw » Fri Jul 23, 2010 9:03 pm

Running M8.0 and need to install HP Laserjet P2055dn on network. According to HP web site I need a newer version of HPLIP. However, when trying to install I get the following -

INSTALL MISSING REQUIRED DEPENDENCIES
-------------------------------------
warning: There are 6 missing REQUIRED dependencies.
note: Installation of dependencies requires an active internet connection.
warning: Missing REQUIRED dependency: python-devel (Python devel - Python development files)
warning: This installer cannot install 'python-devel' for your distro/OS and/or version.
error: Installation cannot continue without this dependency. Please manually install this dependency and re-run this installer
Checked Synaptic and no such package exists.

Suggestions?

PS. 8.5 is not my cup of tea at the moment
[SIGPIC][/SIGPIC]
______________________________________________
Hal
Registered Linux User #405913
http://counter.li.org/

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 3376
Joined: Wed Jul 12, 2006 4:05 pm

#2 Postby timkb4cq » Sat Jul 24, 2010 1:43 am

The HPLIP site says you need hplip 2.8.10 or higher.
hplip 3.9.12 is available in the MEPIS 8.0 Community Repository.

Under Settings -> Repositories in Synaptic, add this entry:

http://main.mepis-deb.org/mepiscr/repo
mepis8cr
main non-free


Reload, and you will find hplip 3.9.12 listed. Debian splits hplip up into several packages so you might also wish to install hpijs, hpijs-ppds hplip-cups & hplip-gui just to make sure you have everything.

User avatar
halw
Forum Regular
Forum Regular
Posts: 137
Age: 66
Joined: Fri Jul 14, 2006 2:09 pm

#3 Postby halw » Sat Jul 24, 2010 10:54 pm

Thanks Tim. Followed your suggestion, however driver didn't show up.

Interesting as this is, last night, just for kicks, I fired up a beta version of M8.5 and it found the printer easily and I was able to add it.

I may have to bite the bullet and install 8.5.
[SIGPIC][/SIGPIC]
______________________________________________
Hal
Registered Linux User #405913
http://counter.li.org/

User avatar
halw
Forum Regular
Forum Regular
Posts: 137
Age: 66
Joined: Fri Jul 14, 2006 2:09 pm

#4 Postby halw » Sun Jul 25, 2010 4:41 pm

OK, took the plunge and installed M8.5. Still feeling my way around but as stated in my previous post installing the P2055dn as a network printer was a piece of cake.
[SIGPIC][/SIGPIC]
______________________________________________
Hal
Registered Linux User #405913
http://counter.li.org/

User avatar
Xheralt
Forum Novice
Forum  Novice
Posts: 22
Joined: Mon Dec 17, 2007 4:23 pm

Re: HPLIP for HP P2055dn

#5 Postby Xheralt » Sun Oct 30, 2011 7:32 pm

Trying to solve similar problem with different HP printer, I can't get hplip 3.x via synaptic, even with said repo added and synaptic reloaded -- all I can find is hplip 2.8.6* !!! WTF?

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 3376
Joined: Wed Jul 12, 2006 4:05 pm

Re: HPLIP for HP P2055dn

#6 Postby timkb4cq » Sun Oct 30, 2011 7:38 pm

You may have to edit your apt preferences as described here:
http://www.mepis.org/docs/en/index.php? ... _MEPIS_8.5
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB


Return to “Print/Scan”

Who is online

Users browsing this forum: Exabot [Bot] and 1 guest